## org.openorb.PI
Interface RequestCallback

public interface RequestCallback

This interface is handed to the PIManager when performing interception tasks.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:04 $
Author:
  Jerome Daniel, Chris Wood

Method Summary
`void` `reply_error(java.lang.Error ex)`
`void` `reply_location_forward(Object forward, boolean permanent)`
`void` `reply_runtime_exception(java.lang.RuntimeException ex)`
`void` `reply_system_exception(SystemException ex)`

Method Detail

### reply_system_exception

    public void reply_system_exception(SystemException ex)

### reply_runtime_exception

    public void reply_runtime_exception(java.lang.RuntimeException ex)

### reply_error

    public void reply_error(java.lang.Error ex)

### reply_location_forward

    public void reply_location_forward(Object forward,
                                       boolean permanent)

  Parameters:
    `forward` -
    `permanent` -